Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Class PersRegDomainHandler

    java.lang.Object
      com.verisign.epp.framework.EPPDomainHandler
          com.verisign.epp.serverstub.DomainHandler
              com.verisign.epp.serverstub.PersRegDomainHandler

All Implemented Interfaces:
  EPPEventHandler

    public class PersRegDomainHandler

extends DomainHandler

The `PersRegDomainHandler` class extends `DomainHandler` to include responding with Personal Registration Extension attributes. Specifically, the consent identifier and the bundled rate flag are returned.

Version:
  $Revision: 1.1.1.1 $
Author:
  $Author: jim $
See Also:
  `EPPEvent`, `EPPEventResponse`

Constructor Summary
`PersRegDomainHandler()` Constructs an instance of PersRegDomainHandler

Method Summary
`protected EPPEventResponse` | `doDomainCreate(EPPEvent aEvent, java.lang.Object aData)` Add the bunded rate flag attribute to the Domain Create Response.
`protected EPPEventResponse` | `doDomainInfo(EPPEvent aEvent, java.lang.Object aData)` Add the consent identifier to the Domain Info Response.
`protected EPPEventResponse` | `doDomainRenew(EPPEvent aEvent, java.lang.Object aData)` Add the bunded rate flag attribute to the Domain Renew Response.
`protected EPPEventResponse` | `doDomainTransfer(EPPEvent aEvent, java.lang.Object aData)` Add the bunded rate flag attribute to the Domain Transfer Request.

Methods inherited from class com.verisign.epp.serverstub.DomainHandler
`doDomainCheck, doDomainDelete, doDomainUpdate, postHandleEvent, preHandleEvent`

Methods inherited from class com.verisign.epp.framework.EPPDomainHandler
`getNamespace, handleEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersRegDomainHandler

    public PersRegDomainHandler()

  Constructs an instance of PersRegDomainHandler

Method Detail

### doDomainRenew

    protected EPPEventResponse doDomainRenew(EPPEvent aEvent,
                                             java.lang.Object aData)

  Add the bunded rate flag attribute to the Domain Renew Response. The flag is set to `true`.

  Overrides:
    `doDomainRenew` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDomainCreate

    protected EPPEventResponse doDomainCreate(EPPEvent aEvent,
                                              java.lang.Object aData)

  Add the bunded rate flag attribute to the Domain Create Response. The flag is set to `true`.

  Overrides:
    `doDomainCreate` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDomainTransfer

    protected EPPEventResponse doDomainTransfer(EPPEvent aEvent,
                                                java.lang.Object aData)

  Add the bunded rate flag attribute to the Domain Transfer Request. The flag is set to `true`.

  Overrides:
    `doDomainTransfer` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDomainInfo

    protected EPPEventResponse doDomainInfo(EPPEvent aEvent,
                                            java.lang.Object aData)

  Add the consent identifier to the Domain Info Response.

  Overrides:
    `doDomainInfo` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.